Bug 232620 - Review Request: perl-XML-Filter-XInclude - XInclude as a SAX Filter
Summary: Review Request: perl-XML-Filter-XInclude - XInclude as a SAX Filter
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 232619
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 13:27 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-23 17:13:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Thienemann 2007-03-16 13:27:20 UTC
Spec URL: http://home.bawue.de/~ixs/perl-XML-Filter-XInclude/perl-XML-Filter-XInclude.spec
SRPM URL: http://home.bawue.de/~ixs/perl-XML-Filter-XInclude/perl-XML-Filter-XInclude-1.0-1.src.rpm
Description:

This module implements a simple SAX filter that provides XInclude support.
It does NOT support XPointer.

Comment 1 Parag AN(पराग) 2007-03-23 11:12:27 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
6fd41f32027f3dbf6993fcef0ee81578  XML-Filter-XInclude-1.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00basic.......ok
t/01xinclude....ok
All tests successful.
Files=2, Tests=3,  1 wallclock secs ( 0.20 cusr +  0.03 csys =  0.23 CPU)
+ Provides: perl(XML::Filter::XInclude) = 1.0
APPROVED.

Comment 2 Andreas Thienemann 2007-03-23 14:14:39 UTC
New Package CVS Request
=======================
Package Name: perl-XML-Filter-XInclude
Short Description: XInclude as a SAX Filter
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 3 Andreas Thienemann 2007-03-23 17:05:44 UTC
Thx for the review. Package has been built for devel, FC-5 and FC-6.
Closing as NEXTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.